///usr/bin/env jbang "$0" "$@" ; exit $?
//DEPS org.infinispan:infinispan-client-hotrod:9.4.21.Final
//SOURCES AbstractLoad.java

import org.infinispan.client.hotrod.RemoteCache;
import org.infinispan.client.hotrod.RemoteCacheManager;

import java.util.stream.Collectors;
import java.util.stream.IntStream;

public class Load extends AbstractLoad {

    public static void main(String[] args) {
        AbstractLoad load = new Load();
        load.execute(args);
    }

    @Override
    public RemoteCache getCache(RemoteCacheManager rcm, String cacheName) {
        RemoteCache<String, String> cache = rcm.getCache(cacheName);
        return cache;
    }

    @Override
    public Object generateCacheValues() {
        return IntStream.range(0, phraseSize).boxed().map(i -> randomWord()).collect(Collectors.joining(" "));
    }
}
